using ComputersShopListImplement.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopListImplement
{
	public class DataListSingleton
	{
		private static DataListSingleton? _instance;
		public List<Component> Components { get; set; }
		public List<Order> Orders { get; set; }
		public List<Computer> Computers { get; set; }
		public List<Client> Clients { get; set; }
        public List<Implementer> Implementers { get; set; }
		public List<Message> Messages { get; set; }
        private DataListSingleton()
		{
			Components = new List<Component>();
			Orders = new List<Order>();
			Computers = new List<Computer>();
			Clients = new List<Client>();
            Implementers = new List<Implementer>();
			Messages = new List<Message>();
        }
		public static DataListSingleton GetInstance()
		{
			if (_instance == null)
			{
				_instance = new DataListSingleton();
			}
			return _instance;
		}
	}
}
